%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Device/SerialPort.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Hash/Util.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Device-Velleman-PPS10
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Read data from Velleman PPS10 oscilloscope
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NA/NARBEY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
The Velleman PPS10 oscilloscope sends each frame of the signal
displayed on its LCD screen as a series of packets over the serial
port. Each packet contains 256 voltage samples, which if traced
graphically, replicates the signal the LCD screen. The data in the
packet is more detailed than can be drawn on the 128x64 LCD screen.

Device::Velleman::PPS10 allows for reading of the raw data from the
serial port and parses for packets containing the frames. Currently,
the module only uses the packet type (BA) containing a complete frame
of a signal trace. The scope sends two other packet types (BR and BS),
which contain 1 or just a few samples.

This module relies on Device::SerialPort. The user may need to handle
permission issues when reading from the serial port device on their
system.

This module has not been tested on a Win32 system.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*

%changelog
* Sat May 03 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

